{% extends 'base.html' %}
{% block content %}
<div class="container">
    <div class="row">
        <div class="col-12 col-md-8">
            <h2>Lista: "{{slist.name}}"</h2>
        </div>
        <div class="col-12 col-md-4 text-md-right">
            <a href="/" class="btn btn-sm btn-danger fas fa-angle-left" role="button"> Volver</a>
        </div>
        <div class="col-12">
            <hr>
        </div>
        <div class="col-12 col-md-6 lilbitofmargin">
            <form action="/shoppinglist/{{slist.id}}/product/add/" method="POST">
                {% csrf_token %}
                <input type="text" name="name" id="name" placeholder="Nombre nuevo producto" autofocus class="form-control">

        </div>
        <div class="col-12 col-md-3 lilbitofmargin">
            <input type="number" name="budgetedcost" id="budgetedcost" placeholder="Costo estimado" class="form-control">
        </div>
        <div class="col-12 col-md-3 lilbitofmargin">
            <input type="number" name="realcost" id="realcost" placeholder="Costo real" class="form-control">
        </div>
        <div class="col-12 col-md-6 lilbitofmargin">
            <select name="shop" id="shop" class="form-control">
                {% for x in shops %}
                <option value="{{x.id}}">{{x.name}}</option>
                {% endfor %}
            </select>
        </div>
        <div class="col-12 col-md-6 lilbitofmargin">
            <input type="text" name="notes" id="notes" placeholder="Notas" class="form-control">
        </div>
        <div class="col-6 col-md-9"></div>
        <div class="col-6 col-md-3 lilbitofmargin">
            <input type="submit" value="Agregar" class="btn btn-block btn-primary">
            </form>
        </div>
        <div class="col-12">
            <hr>
            <h2>Productos</h2>
            <div class="table-responsive">
                <table class="table table-bordered">
                    <th>Nombre</th>
                    <th>Costo presupuestado</th>
                    <th>Costo real</th>
                    <th>Tienda</th>
                    <th>Notas adicionales</th>
                    <th>Comprado</th>
                    <th>Acciones</th>
                    {% for x in prod %}
                    <tr>
                        <td>{{x.name}}</td>
                        <td>${{x.budgetedcost}}</td>
                        <td>${{x.realcost}}</td>
                        <td>{{x.shop}}</td>
                        <td>{{x.notes}}</td>
                        <td>{% if x.bought %}Si{% else %}No{% endif %}</td>
                        <td> <a href="/shoppinglist/{{slist.id}}/product/edit/{{x.id}}/" class="btn btn-sm btn-primary lilbitofmargin fas fa-edit"> Editar</a>
                            <a href="/shoppinglist/{{slist.id}}/product/alter/{{x.id}}/" class="btn btn-sm btn-primary lilbitofmargin fas fa-exchange-alt"> Cambiar estado</a>
                            <a href="/shoppinglist/{{slist.id}}/product/delete/{{x.id}}/" class="btn btn-sm btn-danger lilbitofmargin fas fa-trash-alt"> Eliminar</a>
                            </td>
                    </tr>
                    {% endfor %}
                </table>
            </div>

        </div>
        <div class="col-12 text-right">
                <h4>Costo presupuestado: ${{budgeted}}<br>Costo real: ${{real}}</h4>
        </div>
    </div>
</div>


{% endblock %}